Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db.hibernate
Class HibernateHelper

    java.lang.Object
      org.jbpm.db.hibernate.HibernateHelper

    public abstract class HibernateHelper

extends java.lang.Object

Constructor Summary
`HibernateHelper()`

Method Summary
`static void` | `clearConfigurationsCache()`
`static void` | `clearHibernateCache(org.hibernate.SessionFactory sessionFactory)`
`static org.hibernate.cfg.Configuration` | `createConfiguration(java.lang.String cfgXmlResource, java.lang.String propertiesResource)`
`static org.hibernate.tool.hbm2ddl.SchemaExport` | `createSchemaExport(org.hibernate.SessionFactory sessionFactory)`
`static boolean` | `createSchemaExportScript(org.hibernate.SessionFactory sessionFactory)`
`static org.hibernate.SessionFactory` | `createSessionFactory()`
`static org.hibernate.SessionFactory` | `createSessionFactory(org.hibernate.cfg.Configuration configuration, boolean isConfigLookupEnabled)`
`static org.hibernate.SessionFactory` | `createSessionFactory(java.lang.String cfgXmlResource)`
`static org.hibernate.SessionFactory` | `createSessionFactory(java.lang.String cfgXmlResource, java.lang.String propertiesResource)`
`static org.hibernate.SessionFactory` | `createSessionFactory(java.lang.String cfgXmlResource, java.lang.String propertiesResource, boolean isConfigLookupEnabled)`
`static org.hibernate.cfg.Configuration` | `getConfiguration(org.hibernate.SessionFactory sessionFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateHelper

    public HibernateHelper()

Method Detail

### clearConfigurationsCache

    public static void clearConfigurationsCache()

### createSessionFactory

    public static org.hibernate.SessionFactory createSessionFactory()

### createSessionFactory

    public static org.hibernate.SessionFactory createSessionFactory(java.lang.String cfgXmlResource)

### createSessionFactory

    public static org.hibernate.SessionFactory createSessionFactory(java.lang.String cfgXmlResource,
                                                                    java.lang.String propertiesResource)

### createSessionFactory

    public static org.hibernate.SessionFactory createSessionFactory(java.lang.String cfgXmlResource,
                                                                    java.lang.String propertiesResource,
                                                                    boolean isConfigLookupEnabled)

### createSessionFactory

    public static org.hibernate.SessionFactory createSessionFactory(org.hibernate.cfg.Configuration configuration,
                                                                    boolean isConfigLookupEnabled)

### createConfiguration

    public static org.hibernate.cfg.Configuration createConfiguration(java.lang.String cfgXmlResource,
                                                                      java.lang.String propertiesResource)

### getConfiguration

    public static org.hibernate.cfg.Configuration getConfiguration(org.hibernate.SessionFactory sessionFactory)

### createSchemaExport

    public static org.hibernate.tool.hbm2ddl.SchemaExport createSchemaExport(org.hibernate.SessionFactory sessionFactory)

### createSchemaExportScript

    public static boolean createSchemaExportScript(org.hibernate.SessionFactory sessionFactory)

### clearHibernateCache

    public static void clearHibernateCache(org.hibernate.SessionFactory sessionFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD